Skip to main content
PATCH
Update Employee

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

employee_id
string
required

Body

application/json

All fields optional — only provided keys are updated.

employeeCode
string | null
fullName
string | null
preferredName
string | null
email
string | null
phone
string | null
department
string | null
jobTitle
string | null
employmentType
string | null
status
string | null
hireDate
string | null
terminationDate
string | null
managerId
string | null
linkedUserId
string | null
baseSalary
number | null
payFrequency
string | null
notes
string | null

Response

Successful Response

id
string
required
orgId
string
required
fullName
string
required
employmentType
string
required
status
string
required
employeeCode
string | null
preferredName
string | null
email
string | null
phone
string | null
department
string | null
jobTitle
string | null
hireDate
string | null
terminationDate
string | null
managerId
string | null
linkedUserId
string | null
baseSalary
number | null
payFrequency
string | null
notes
string | null
createdAt
string | null
updatedAt
string | null